Bug 1308934 - unable to set backlight on MBP 15" 2015 [NEEDINFO]
unable to set backlight on MBP 15" 2015
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 09:05 EST by Lubos Kocman
Modified: 2016-10-26 12:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (lkocman)


Attachments (Terms of Use)
patch from Lukas (4.01 KB, patch)
2016-03-08 11:06 EST, Lubos Kocman
no flags Details | Diff

  None (edit)
Description Lubos Kocman 2016-02-16 09:05:08 EST
Description of problem:

Hello,

I believe that this bug is somewhere between X and Kernel.

Generally I have the lastest Macbook Pro 15" with Radeon / Intel gpus.

I've tried to set following kernel args but with no change. 

kernel params to 

acpi_backlight=vendor"

and

video.use_native_backlight=1

Or at least the keys for changing brightness didn't work.

We've tried to change backlight trou echo > /sys/**** and it had no effect either.


[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/radeon_bl0/max_brightness 
255
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/radeon_bl0/actual_brightness 
255
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/radeon_bl0/type 
raw
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/radeon_bl0/brightness 
255
[root@dhcp-25-43 grub.d]# echo 128 > /sys/class/backlight/radeon_bl0/brightness 
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/radeon_bl0/brightness 
128

And

[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/gmux_backlight/brightness 
16777215
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/gmux_backlight/max_brightness 
-1
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/gmux_backlight/actual_brightness 
16777215
[root@dhcp-25-43 grub.d]# echo 8000000 > /sys/class/backlight/gmux_backlight/brightness 
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/gmux_backlight/actual_brightness 
16777215
[root@dhcp-25-43 grub.d]# 
[root@dhcp-25-43 grub.d]# cat /sys/class/backlight/gmux_backlight/brightness 
8000000


My setup
# uname -r
4.5.0-0.rc3.git3.1.fc24.x86_64

xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
intel-gpu-tools-2.99.917-21.20160119.fc24.x86_64
xorg-x11-drv-ati-7.6.0-0.4.20150729git5510cd6.fc23.x86_64

Lubos
Comment 1 Lubos Kocman 2016-02-17 03:33:12 EST
Hi Hans,

I was advised that you could help up with moving this issue to a correct component/group.

Thanks

Lubos
Comment 2 Hans de Goede 2016-02-17 08:55:40 EST
Hi Lubos,

I'm afraid that I'm not really sure what to do in this specific case, since you tried all backlight class devices under /sys/class/backlight and none seemed to work ...

Typically the gmux_backlight is the one which should work on a mbp

Can you try booting with "acpi_backlight=video" and see if that gives you a /sys/class/backlight/acpi_video0 and if that one does work ?

It may be that the apple gmux driver needs some updating for the MBP 15 2015.

Regards,

Hans
Comment 3 Hans de Goede 2016-02-17 08:58:52 EST
p.s.

Can you also try booting with:

"acpi_backlight=native" ? That replaces video.use_native_backlight=1 on recent kernels.
Comment 4 Lubos Kocman 2016-03-03 15:25:36 EST
(In reply to Hans de Goede from comment #3)
> p.s.
> 
> Can you also try booting with:
> 
> "acpi_backlight=native" ? That replaces video.use_native_backlight=1 on
> recent kernels.

Hi Hans,

no change so far. Is there some "relatively easy" way to debug this issue on a deeper level?

Thanks

Lubos
Comment 5 Hans de Goede 2016-03-04 02:21:11 EST
Hi,

(In reply to Lubos Kocman from comment #4)
> (In reply to Hans de Goede from comment #3)
> > p.s.
> > 
> > Can you also try booting with:
> > 
> > "acpi_backlight=native" ? That replaces video.use_native_backlight=1 on
> > recent kernels.
> 
> Hi Hans,
> 
> no change so far. Is there some "relatively easy" way to debug this issue on
> a deeper level?

No not really, at least not with my help, looking at your original bug-report again the apple_gmux driver seems to be acting weird, a max_brighness of -1 is not what one would expect ... So chances are this is a problem with the apple_gmux driver, your best bet is probably to try and contact the author / maintainers of the apple_gmux driver, please put me in the Cc when you mail them.

Regards,

Hans
Comment 6 Lubos Kocman 2016-03-08 11:05:58 EST
Tracked upstream https://bugzilla.kernel.org/show_bug.cgi?id=105051
Comment 7 Lubos Kocman 2016-03-08 11:06 EST
Created attachment 1134242 [details]
patch from Lukas
Comment 8 Lubos Kocman 2016-03-08 12:59:25 EST
Patch works for MBP 15" 2015 with radeon. Ping me if you want build

Lubos
Comment 9 Laura Abbott 2016-03-08 15:52:05 EST
What's the status of that patch upstream? If it's been sent out and reviewed we can see about bringing it into F23/F22.
Comment 10 Lubos Kocman 2016-03-09 08:18:24 EST
(In reply to Laura Abbott from comment #9)
> What's the status of that patch upstream? If it's been sent out and reviewed
> we can see about bringing it into F23/F22.

Hi Laura,

it's still in new state. Let's wait a bit.

Lubos
Comment 11 Laura Abbott 2016-09-23 15:49:29 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 12 Laura Abbott 2016-10-26 12:57:12 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.